#!/bin/bash

chn=""
nChannels="$(jq -j '.dcs_control.channels | length' $CFGFILE)"
for (( i=0; i<$nChannels; i++ ))
do
    chName="$(jq -j ".dcs_control.channels[$i].name" $CFGFILE)"
    chn+="$chName,"
done
chn=${chn::-1}

if [ ! -e $bin ]; then
    echo "[ error ][dm] couldn't find '$bin'"
    exit 1
fi

nMeasurements=0
while [ "$(<$SOBASE/.counters/dcsStat)" == "1" ]
do
    
    python3 $SOBASE/libDCS/qaqc.py -e $1 -c $chn -d $2 measure
    echo "[ info ][dm] DCS measurement performed"
    ((nMeasurements=nMeasurements+1))

done
echo "[ info ][dm] taken a total of $nMeasurements DCS Measurements"
echo "[ info ][dm] finished DCS background data taking"

