#!/bin/bash

tmp=$(cd $(dirname $0);cd ..; pwd)
source $tmp/script/setup.sh
source $tmp/lib/func.sh

function usage(){
    cat <<EOF                                                                                                                                                                                     
Help:
  -c <path> : YARR connectivity file
  -s <path> : scan log file
  -C <path> : connectivity file for InfluxDB
EOF
    exit
}

while getopts c:s:C: OPT
do
    case $OPT in
        c) yarr_connectivity=$OPTARG ;;
        s) scanlog=$OPTARG;;
        C) influx_connectivity=$OPTARG ;;
        *) usage ;;
    esac
done
if [ "$yarr_connectivity" == "" ];then
    usage;
fi
if [ "$scanlog" == "" ];then
    usage;
else
    scanlog_dir=$(dirname $scanlog)
    if [ -L $scanlog_dir ];then
	scanlog_filename=${scanlog##*/}
	scanlog=$(readlink -f $scanlog_dir)"/${scanlog_filename}"
    fi
fi
#if [ "$influx_connectivity" == "" ];then
#    usage;
#fi
item_list=("$yarr_connectivity" "$scanlog")
for item in ${item_list[@]}
do
    if [ ! -e $item ]; then
	echo $item
        usage;
    fi
done

i=0;
connectivity=""
#influx_connectivity_seed="${tmp}/configs/influxDB/connectivity_chipID"
influx_connectivity="${tmp}/configs/influxDB/connectivity.json"

#$YARR_DIR/bin/dbAccessor -F $influx_connectivity -n "OU078B_chip1" -s $scanlog

while [ $i -eq 0 ] || [ ! "$connectivity" == "" ]
do 
    connectivity=$(get_json_item $yarr_connectivity .chips[$i])
    if [ ! "$connectivity" == "" ];then
	chipname=$(get_json_item $yarr_connectivity .chips[$i].serialNumber)
	chipID=$(get_json_item $yarr_connectivity .chips[$i].chipId)
	#influx_connectivity=${influx_connectivity_seed}"${chipID}.json"

	echo "$YARR_DIR/bin/dbAccessor -F $influx_connectivity -n $chipname -s $scanlog"
	$YARR_DIR/bin/dbAccessor -F $influx_connectivity -n $chipname -s $scanlog
    fi
    i=$((i+1))
done

